[21.04 FEAT] Upgrade qclib to latest version ( at least version 2.2.1 )

Bug #1902870 reported by bugproxy
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
qclib (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Upgrade to latest level of qclib.
Currently qclib 2.2.1
Will be attached later

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-188094 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

not available yet, setting to Incomplete for now

affects: linux (Ubuntu) → qclib (Ubuntu)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in qclib (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → nobody
Changed in ubuntu-z-systems:
importance: Undecided → High
status: New → Incomplete
Revision history for this message
Frank Heimes (fheimes) wrote :

Please share the qlibc code (once available) via git (rather than attaching a tgz).

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-11-09 05:09 EDT-------
That's gonna take a moment, we're still busy migrating to git.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

it broke ABI again.

+#MISSING: 2.2.1-0ubuntu1# qc_append_handle@Base 2.0.1
+#MISSING: 2.2.1-0ubuntu1# qc_get_cec_handle@Base 2.0.1
+#MISSING: 2.2.1-0ubuntu1# qc_get_lpar_handle@Base 2.0.1
+#MISSING: 2.2.1-0ubuntu1# qc_get_prev_handle@Base 2.0.1
+#MISSING: 2.2.1-0ubuntu1# qc_get_root_handle@Base 2.0.1
+#MISSING: 2.2.1-0ubuntu1# qc_get_top_handle@Base 2.1.0
+#MISSING: 2.2.1-0ubuntu1# qc_insert_handle@Base 2.0.1
+#MISSING: 2.2.1-0ubuntu1# qc_new_handle@Base 2.0.1

and added a bunch of new symbols.

If most of the symbols are not meant to be public and are implementation details, please stop exporting them.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

took tarball from fedora

Changed in qclib (Ubuntu):
status: New → Fix Committed
Changed in ubuntu-z-systems:
status: Incomplete → Fix Committed
information type: Private → Public
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qclib - 2.2.1-0ubuntu1

---------------
qclib (2.2.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release. Taken from Fedora repositories, as no other
    public download of 2.2.0 or 2.2.1 is available, neither from ibm.com
    or github.com/openmainframeproject/qclib. LP: #1902870, LP: #1902874

 -- Dimitri John Ledkov <email address hidden> Thu, 12 Nov 2020 11:27:08 +0000

Changed in qclib (Ubuntu):
status: Fix Committed → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-11-13 06:57 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-11-30 07:50 EDT-------
For addl. info only:

https://linux-on-z.blogspot.com/2020/11/new-release-qclib-v221.html
https://github.com/ibm-s390-tools/qclib.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers